<?php
function register_ad_banner_setting($wp_customize){
  $wp_customize->add_section("start-press_ad_banner_section", array(
    "title" => __( 'Ad Banner', 'start-press' ),
    "priority" => 60,
  ));

  $wp_customize->add_setting( 'start-press_ad_banner', array('sanitize_callback' => 'esc_url_raw'));

  $wp_customize->add_setting( 'start-press_ad_banner_url', array('sanitize_callback' => 'esc_url_raw'));

  $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'start-press_ad_banner', array(
    'label'    => __( 'Header Ad Banner', 'start-press'),
    'description' => __('720x90', 'start-press'),
    'section'  => 'start-press_ad_banner_section',
    'settings' => 'start-press_ad_banner',
  )));

  $wp_customize->add_control('start-press_ad_banner_url', array(
        'label' => __( 'Header Ad Url', 'start-press'),
        'section' => 'start-press_ad_banner_section',
        'type'    => 'text',
        'settings' => 'start-press_ad_banner_url'
  ));
}

function register_colors_setting($wp_customize){
  $wp_customize->add_section("start-press_colors", array(
    "title" => __( 'Colors', 'start-press' ),
    "priority" => 60,
  ));

  $wp_customize->add_setting( 'start-press_primary_color', array(
    'default'   => '#ffa500',
    'transport' => 'refresh',
    'sanitize_callback' => 'sanitize_hex_color'
  ));

  $wp_customize->add_setting( 'start-press_secondary_color', array(
    'default'   => '#798992',
    'transport' => 'refresh',
    'sanitize_callback' => 'sanitize_hex_color'
  ));

  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'start-press_primary_color', array(
      'section' => 'start-press_colors',
      'label'   => esc_html__( 'Primary Color', 'start-press' ),
    ) ) );

  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'start-press_secondary_color', array(
    'section' => 'start-press_colors',
    'label'   => esc_html__( 'Secondary Color', 'start-press' ),
  ) ) );
}

function register_social_setting($wp_customize){
  $wp_customize->add_section("start-press_social_section", array(
    "title" => __( 'Social', 'start-press' ),
    "priority" => 60,
  ));

  $wp_customize->add_setting( 'start-press_facebook_url', array('sanitize_callback' => 'esc_url_raw'));

  $wp_customize->add_control('start-press_facebook_url', array(
    'label' => __( 'Facebook Page', 'start-press'),
    'section' => 'start-press_social_section',
    'type'    => 'text',
    'settings' => 'start-press_facebook_url'
  ));

  $wp_customize->add_setting( 'start-press_twitter_url', array('sanitize_callback' => 'esc_url_raw'));

  $wp_customize->add_control('start-press_twitter_url', array(
    'label' => __( 'Twitter', 'start-press'),
    'section' => 'start-press_social_section',
    'type'    => 'text',
    'settings' => 'start-press_twitter_url'
  ));

  $wp_customize->add_setting( 'start-press_google_plus_url', array('sanitize_callback' => 'esc_url_raw'));

  $wp_customize->add_control('start-press_google_plus_url', array(
    'label' => __( 'Google Plus', 'start-press'),
    'section' => 'start-press_social_section',
    'type'    => 'text',
    'settings' => 'start-press_google_plus_url'
  ));

  $wp_customize->add_setting( 'start-press_instagram_url', array('sanitize_callback' => 'esc_url_raw'));

  $wp_customize->add_control('start-press_instagram_url', array(
    'label' => __( 'Instagram', 'start-press'),
    'section' => 'start-press_social_section',
    'type'    => 'text',
    'settings' => 'start-press_instagram_url'
  ));

  $wp_customize->add_setting( 'start-press_youtube_url', array('sanitize_callback' => 'esc_url_raw'));

  $wp_customize->add_control('start-press_youtube_url', array(
    'label' => __( 'Youtube', 'start-press'),
    'section' => 'start-press_social_section',
    'type'    => 'text',
    'settings' => 'start-press_youtube_url'
  ));

  $wp_customize->add_setting( 'start-press_vimeo_url', array('sanitize_callback' => 'esc_url_raw'));

  $wp_customize->add_control('start-press_vimeo_url', array(
    'label' => __( 'Vimeno', 'start-press'),
    'section' => 'start-press_social_section',
    'type'    => 'text',
    'settings' => 'start-press_vimeo_url'
  ));


  $wp_customize->add_setting( 'start-press_flickr_url', array('sanitize_callback' => 'esc_url_raw'));

  $wp_customize->add_control('start-press_flickr_url', array(
    'label' => __( 'Flickr', 'start-press'),
    'section' => 'start-press_social_section',
    'type'    => 'text',
    'settings' => 'start-press_flickr_url'
  ));


  $wp_customize->add_setting( 'start-press_rss_feed_url', array('sanitize_callback' => 'esc_url_raw'));

  $wp_customize->add_control('start-press_rss_feed_url', array(
    'label' => __( 'RSS Feed', 'start-press'),
    'section' => 'start-press_social_section',
    'type'    => 'text',
    'settings' => 'start-press_rss_feed_url'
  ));
}


function register_customization($wp_customize){
  register_ad_banner_setting($wp_customize);
  register_colors_setting($wp_customize);
  register_social_setting($wp_customize);
}

add_action("customize_register", "register_customization");
